library CompareObjs;

{ Important note about DLL memory management: ShareMem must be the
  first unit in your library's USES clause AND your project's (select
  Project-View Source) USES clause if your DLL exports any procedures or
  functions that pass strings as parameters or function results. This
  applies to all strings passed to and from your DLL--even those that
  are nested in records and classes. ShareMem is the interface unit to
  the BORLNDMM.DLL shared memory manager, which must be deployed along
  with your DLL. To avoid using BORLNDMM.DLL, pass string information
  using PChar or ShortString parameters. }

uses
  SysUtils,
  Classes,
  CompareObjsImpl in 'CompareObjsImpl.pas',
  AQtest_TLB in 'AQtest_TLB.pas';

{$E pls}

{$R *.RES}
{$R *.TLB}


{ export functions }

function AQtestPlugInInit(PlugInManager: IPIBaseManager): WordBool;
begin
  Result := True;
  try
    PIManager := PlugInManager as IPIManager;
    CompareObjsPlugIn := TCompareObjs.Create;
//    PIManager.Engines.AddEngine(CompareObjsPlugIn);
    PIManager.AddName('CompareObjs', False, CompareObjsPlugIn);
  except
    Result := False;
  end;
end;

procedure AQtestPlugInFinalize;
begin
//  PIManager.Engines.RemoveEngine(CompareObjsPlugIn);
  PIManager.RemoveName('CompareObjs');
//  CompareObjsPlugIn.Free;
//  CompareObjsPlugIn := nil;
end;

function AQtestPlugInDescription: WideString;
begin
  Result := 'Compare Objects Support'
end;

exports
  AQtestPlugInInit,
  AQtestPlugInFinalize,
  AQtestPlugInDescription;

begin
end.
